SYSCALL(2)

NAME
syscall - indirect system call

SYNOPSIS
#include <syscall.h>

syscall(number, arg, ...)

DESCRIPTION
Syscall performs the system call whose assembly language interface has the specified number, register arguments r0 and r1 and further arguments arg. Symbolic constants for system calls can be found in the header file <syscall.h>.

The r0 value of the system call is returned.

DIAGNOSTICS
When the C-bit is set, syscall returns -1 and sets the external variable errno (see intro(2)).

BUGS
There is no way to simulate system calls such as pipe(2), which return values in register r1.